{
  //组件自动引入规则 https://uniapp.dcloud.net.cn/collocation/pages.html#easycom
  "easycom": {
    "autoscan": true,
    "custom": {
      "^x-(.*)": "@/components/x-$1/index.vue"
    }
  },
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "电梯",
    "navigationBarBackgroundColor": "#F8F8F8",
    "backgroundColor": "#F8F8F8",
    "enablePullDownRefresh": false
  },
  "pages": [
    //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
	{
	  "path": "pages/index/index",
	  "style": {
	    "navigationBarTitleText": "主页",
		"navigationStyle": "custom"
	  }
	},
    {
    	"path" : "pages/appointment/appointment",
    	"style" : 
    	{
    		"navigationBarTitleText" : "预约服务",
			"navigationStyle": "custom"
    	}
    },
    {
    	"path" : "pages/mine/mine",
    	"style" : 
    	{
    		"navigationBarTitleText" : "我的",
			"navigationStyle": "custom"
    	}
    }
  ],
  "subPackages": [
    {
      "root": "pagesA",
      "pages": [
        {
          "path": "ProductDetails/ProductDetails",
          "style": {
            "navigationBarTitleText": "产品详情",
			"navigationStyle": "custom"
            // "enablePullDownRefresh": true
          }
          // "needLogin": true
        },
        {
        	"path" : "choose-adress/choose-adress",
        	"style" : 
        	{
        		"navigationBarTitleText" : "选择位置",
				"navigationStyle": "custom"
        	}
        },
        {
        	"path" : "privacy-policy/privacy-policy",
        	"style" : 
        	{
        		"navigationBarTitleText" : "隐私政策",
				"navigationStyle": "custom"
        	}
        },
        {
        	"path" : "user-agreement/user-agreement",
        	"style" : 
        	{
        		"navigationBarTitleText" : "用户协议",
				"navigationStyle": "custom"
        	}
        },
        {
        	"path" : "JoiningUs/JoiningUs",
        	"style" : 
        	{
        		"navigationBarTitleText" : "加盟卡叔",
				"navigationStyle": "custom"
        	}
        },
        {
        	"path" : "StoreManage/StoreList",
        	"style" : 
        	{
        		"navigationBarTitleText" : "企业门店列表",
				"navigationStyle": "custom"
        	}
        },
        {
        	"path" : "StoreManage/StoreReview",
        	"style" : 
        	{
        		"navigationBarTitleText" : "企业门店审核",
				"navigationStyle": "custom"
        	}
        },
        {
        	"path" : "StoreManage/AddStore",
        	"style" : 
        	{
				"navigationStyle": "custom"
        	}
        },
        {
        	"path" : "StoreManage/businessEdit",
        	"style" : 
        	{
				"navigationStyle": "custom"
        	}
        }
    //     {
    //     	"path" : "search-address/search-address",
    //     	"style" : 
    //     	{
    //     		"navigationBarTitleText" : "搜索地址",
				// "navigationStyle": "custom"
    //     	}
    //     }
      ]
    }
  ],
  "preloadRule": {
    "pages/index/index": {
      "network": "wifi",
      "packages": ["pagesA"]
    }
  },
  "tabBar": {
    "color": "#999999",
    "selectedColor": "#3F70FF",
    "backgroundColor": "#fff",
    "position": "bottom",
    "borderStyle": "black",
    "list": [
      {
        "pagePath": "pages/index/index",
        "iconPath": "static/tabbar/index.png",
        "selectedIconPath": "static/tabbar/index_HL.png",
        "text": "首页"
      },
      {
        "pagePath": "pages/appointment/appointment",
        "iconPath": "static/tabbar/appointment.png",
        "selectedIconPath": "static/tabbar/appointment_HL.png",
        "text": "预约"
      },
      {
        "pagePath": "pages/mine/mine",
        "iconPath": "static/tabbar/mine.png",
        "selectedIconPath": "static/tabbar/mine_HL.png",
        "text": "我的"
      }
    ]
  }
}
